package com.casic.detector.model;

import java.util.List;

public class TaskModel {

    private String success;
    private List<MessageModel> message;

    public String getSuccess() {
        return success;
    }

    public void setSuccess(String success) {
        this.success = success;
    }

    public List<MessageModel> getMessage() {
        return message;
    }

    public void setMessage(List<MessageModel> message) {
        this.message = message;
    }

    public static class MessageModel {
        private int id;
        private String taskCode;
        private String description;
        private String deployDate;
        private Object beginDate;
        private Object endDate;
        private String status;
        private String creatorId;
        private String creatorName;
        private String patrolerId;
        private String patrolerName;
        private int isValid;
        private List<TaskDetailInfosModel> taskDetailInfos;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getTaskCode() {
            return taskCode;
        }

        public void setTaskCode(String taskCode) {
            this.taskCode = taskCode;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getDeployDate() {
            return deployDate;
        }

        public void setDeployDate(String deployDate) {
            this.deployDate = deployDate;
        }

        public Object getBeginDate() {
            return beginDate;
        }

        public void setBeginDate(Object beginDate) {
            this.beginDate = beginDate;
        }

        public Object getEndDate() {
            return endDate;
        }

        public void setEndDate(Object endDate) {
            this.endDate = endDate;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getCreatorId() {
            return creatorId;
        }

        public void setCreatorId(String creatorId) {
            this.creatorId = creatorId;
        }

        public String getCreatorName() {
            return creatorName;
        }

        public void setCreatorName(String creatorName) {
            this.creatorName = creatorName;
        }

        public String getPatrolerId() {
            return patrolerId;
        }

        public void setPatrolerId(String patrolerId) {
            this.patrolerId = patrolerId;
        }

        public String getPatrolerName() {
            return patrolerName;
        }

        public void setPatrolerName(String patrolerName) {
            this.patrolerName = patrolerName;
        }

        public int getIsValid() {
            return isValid;
        }

        public void setIsValid(int isValid) {
            this.isValid = isValid;
        }

        public List<TaskDetailInfosModel> getTaskDetailInfos() {
            return taskDetailInfos;
        }

        public void setTaskDetailInfos(List<TaskDetailInfosModel> taskDetailInfos) {
            this.taskDetailInfos = taskDetailInfos;
        }

        public static class TaskDetailInfosModel {
            private int id;
            private String taskId;
            private String taskCode;
            private Object markerName;
            private int markerId;
            private String markerIdReal;
            private double longitude;
            private double latitude;
            private int isChecked;
            private int isNormal;
            private Object imagePath;
            private Object description;
            private Object finishTime;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getTaskId() {
                return taskId;
            }

            public void setTaskId(String taskId) {
                this.taskId = taskId;
            }

            public String getTaskCode() {
                return taskCode;
            }

            public void setTaskCode(String taskCode) {
                this.taskCode = taskCode;
            }

            public Object getMarkerName() {
                return markerName;
            }

            public void setMarkerName(Object markerName) {
                this.markerName = markerName;
            }

            public int getMarkerId() {
                return markerId;
            }

            public void setMarkerId(int markerId) {
                this.markerId = markerId;
            }

            public String getMarkerIdReal() {
                return markerIdReal;
            }

            public void setMarkerIdReal(String markerIdReal) {
                this.markerIdReal = markerIdReal;
            }

            public double getLongitude() {
                return longitude;
            }

            public void setLongitude(double longitude) {
                this.longitude = longitude;
            }

            public double getLatitude() {
                return latitude;
            }

            public void setLatitude(double latitude) {
                this.latitude = latitude;
            }

            public int getIsChecked() {
                return isChecked;
            }

            public void setIsChecked(int isChecked) {
                this.isChecked = isChecked;
            }

            public int getIsNormal() {
                return isNormal;
            }

            public void setIsNormal(int isNormal) {
                this.isNormal = isNormal;
            }

            public Object getImagePath() {
                return imagePath;
            }

            public void setImagePath(Object imagePath) {
                this.imagePath = imagePath;
            }

            public Object getDescription() {
                return description;
            }

            public void setDescription(Object description) {
                this.description = description;
            }

            public Object getFinishTime() {
                return finishTime;
            }

            public void setFinishTime(Object finishTime) {
                this.finishTime = finishTime;
            }
        }
    }
}
